#include <bits/stdc++.h>

using namespace std;

int main()
{
    int len, i, mina, x, pet, dva, kec;
    string br;
    cin>>br;
    len=br.length();
    mina=0;
    for(i=0; i<len; i++)
    { x=br[i]-'0';
      pet=x/5;
      dva=(x-pet*5)/2;
      kec=x-pet*5-dva*2;
      mina+=kec+dva+pet;
    }
    cout<< mina;

    return 0;
}